Update an instrument
Update a payment instrument to enable or disable it, change its payment method or merchant reference, or set it as the holder’s default instrument.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Headers
Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.
Path Parameters
Identifier of the resource in Payrails.
Body
New status of the Instrument. If you want to change to "deleted", you should use the DELETE endpoint instead. Also, note that some status are internal and cannot be changed via API, e.g. transient, etc. Status update requests can also be rejected if an instrument status cannot be changed to the desired one, e.g. deleted instruments.
enabled, disabled Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.
Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.
Merchant-provided reference for the instrument.
New payment method of the instrument. Only the methods supporting instruments are accepted.
applePay, card, googlePay, payPal True if the holder wants to make this instrument as default.
Information about a physical address.
Response
Success.
Id of the instrument.
Date and time when the Instrument was created in Payrails.
When the Instrument was last updated.
Unique identifier of the Holder in Payrails.
Represents the payment method type.
alexBankMa7fazty, applePay, audi2pay, bankAccount, card, 2c2p, vietQR, cibSmartWallet, easypaisa, etisalatCash, fawryMobileWallet, fawryPay, googlePay, jazzCash, nbePhoneCash, orangeCash, payPal, qnbEWallet, weCash, genericRedirect, alfa, konnect, eftPro, netBanking, upi, upiDirect, cashFreeWallet, paytmWallet, phonePe, iDeal, iDealDirect, bancontact, mbWay, mbWayDirect, sepaDirectDebit, sepaDirectDebitDirect, klarnaPayLater, klarnaPayNow, klarnaPayOverTime, scalapay, payNow, atome, fpx, swish Status of the instrument.
created, deleted, enabled, disabled, transient Instrument name suitable for display.
Description of the instrument.
True if this instrument is set as default for the holder.
Merchant-provided reference for the instrument.
System-wide unique identifier of the Instrument. If two Holders have the same instrument stored, this value will be the same for both, but the instrument and token IDs will be different. Cannot be used for payments, should only be used for analytics and fraud prevention.
Represents the future usage to define the payment flows that the stored instrument will be used for.
Subscription, CardOnFile, UnscheduledCardOnFile Identifier of the initial payment made with this instrument on the Networks, e.g. Mastercard Trace ID or Visa Transaction ID.
Mastercard Transaction Link Identifier (TLID) of the transaction series this instrument belongs to. Returned by the card network on the initial cardholder-initiated transaction and required on economically related merchant-initiated transactions, such as recurring payments and installments, when the series spans payment providers.
Type-specific information about the instrument.
- Card
- BankAccount
- PayPal
- GooglePay
- ApplePay
- DCB
- MBWayDirect
List of tokens inside the instrument. Not included by default, includeTokens query parameter must be used.